//------------------------------------------------------------------------------
//
//  My first picture
//
//  Author: Bonsai (mail: bonsai@b0n541.net)
//
//  Copyright: GNU General Public License 
//
//------------------------------------------------------------------------------

#include "colors.inc"     // For the textures
#include "stones1.inc"

background
        { 
        color Black
        }

light_source
        {
        <3, 4, -3>
        color White
        }

light_source
        {
        <6, 4, 4>
        color White
        }

light_source
        {
        <3, 4, -3>
        color White
        }

camera  
        {
        location <10, 10, -4>
        look_at  <3, 2.25,  1.6>
        }

plane   
        {
        <0, 1, 0>, -1
        texture
                {
                T_Grnt0a
                finish  { 
                        phong .3
                        reflection .9
                        }
                }
        }        

sphere  
        { 
        <0, 0, 0>, 1
        texture {
                T_Grnt29
                finish  { 
                        phong .3
                        reflection .1
                        }
                }
        }

sphere  
        { 
        <2, 0, 0>, 1
        texture {
                pigment {
                        color Green
                        }
                finish  { 
                        phong .3
                        reflection .1
                        }
                }
        }

sphere  
        { 
        <4, 0, 0>, 1
        texture {
                pigment {
                        color Blue
                        }
                finish  { 
                        phong .3
                        reflection .1
                        }
                }
        }

sphere  
        { 
        <6, 0, 0>, 1
        texture {
                pigment {
                        color Yellow
                        }
                finish  { 
                        phong .3
                        reflection .1
                        }
                }
        }

sphere  
        { 
        <1, 0, 1.73>, 1
        texture {
                pigment {
                        color Black
                        }
                finish  { 
                        phong .3
                        reflection .1
                        }
                }
        }

sphere  
        { 
        <3, 0, 1.73>, 1
        texture {
                pigment {
                        color Black
                        }
                finish  { 
                        phong .3
                        reflection .1
                        }
                }
        }

sphere  
        { 
        <5, 0, 1.73>, 1
        texture {
                pigment {
                        color Cyan
                        }
                finish  { 
                        phong .3
                        reflection .1
                        }
                }
        }

sphere  
        { 
        <2, 0, 3.46>, 1
        texture {
                pigment {
                        color Black
                        }
                finish  { 
                        phong .3
                        reflection .1
                        }
                }
        }

sphere  
        { 
        <4, 0, 3.46>, 1
        texture {
                pigment {
                        color Magenta
                        }
                finish  { 
                        phong .3
                        reflection .1
                        }
                }
        }

sphere  
        { 
        <3, 0, 5.19>, 1
        texture {
                pigment {
                        color White
                        }
                finish  { 
                        phong .3
                        reflection .1
                        }
                }
        }

sphere  
        { 
        <1, 1.5, .87>, 1
        texture {
                pigment {
                        color Aquamarine
                        }
                finish  { 
                        phong .3
                        reflection .1
                        }
                }
        }

sphere  
        { 
        <3, 1.5, .87>, 1
        texture {
                pigment {
                        color BlueViolet
                        }
                finish  { 
                        phong .3
                        reflection .1
                        }
                }
        }

sphere  
        { 
        <5, 1.5, .87>, 1
        texture {
                pigment {
                        color Brown
                        }
                finish  { 
                        phong .3
                        reflection .1
                        }
                }
        }

sphere  
        { 
        <2, 1.5, 2.6>, 1
        texture {
                pigment {
                        color Black
                        }
                finish  { 
                        phong .3
                        reflection .1
                        }
                }
        }

sphere  
        { 
        <4, 1.5, 2.6>, 1
        texture {
                pigment {
                        color CadetBlue
                        }
                finish  { 
                        phong .3
                        reflection .1
                        }
                }
        }

sphere  
        { 
        <3, 1.5, 4.33>, 1
        texture {
                pigment {
                        color Coral
                        }
                finish  { 
                        phong .3
                        reflection .1
                        }
                }
        }

sphere  
        { 
        <2, 3, 1.74>, 1
        texture {
                pigment {
                        color CornflowerBlue
                        }
                finish  { 
                        phong .3
                        reflection .1
                        }
                }
        }

sphere  
        { 
        <4, 3, 1.74>, 1
        texture {
                pigment {
                        color DarkGreen
                        }
                finish  { 
                        phong .3
                        reflection .1
                        }
                }
        }

sphere  
        { 
        <3, 3, 3.47>, 1
        texture {
                pigment {
                        color DarkOliveGreen
                        }
                finish  { 
                        phong .3
                        reflection .1
                        }
                }
        }

sphere  
        { 
        <3, 4.5, 2.61>, 1
        texture 
                {
                T_Grnt6
                finish  { 
                        phong .3
                        reflection .1
                        }
                }
        }
